Bug 1019453 - (sddm-kcm) Review Request: sddm-kcm - SDDM KDE configuration module
Review Request: sddm-kcm - SDDM KDE configuration module
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
Blocks: kde-reviews F20Target-kde
  Show dependency treegraph
Reported: 2013-10-15 14:22 EDT by Martin Bříza
Modified: 2013-11-19 16:45 EST (History)
4 users (show)

See Also:
Fixed In Version: sddm-kcm-0-0.1.20131114gitafdda33c.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-19 16:45:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Martin Bříza 2013-10-15 14:22:48 EDT
Spec URL: http://mbriza.fedorapeople.org/sddm/sddm-kcm.spec
SRPM URL: http://mbriza.fedorapeople.org/sddm/sddm-kcm-0.0.0-0.1.20131015gitafdda33c.fc20.src.rpm
Description: Graphical interface to configure SDDM using the KDE system settings.
Fedora Account System Username: mbriza
Comment 1 Rex Dieter 2013-10-15 14:36:26 EDT
Initial comments:

1. replace

2.  drop %config here, those really aren't user-editable config files
%config(noreplace)   %{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmsddm.conf
Comment 2 Martin Bříza 2013-10-17 05:34:05 EDT
Spec URL: http://mbriza.fedorapeople.org/sddm/sddm-kcm.spec
SRPM URL: http://mbriza.fedorapeople.org/sddm/sddm-kcm-0.0.0-0.1.20131015gitafdda33c.fc19.src.rpm

1. There is no official release, just git. I'm not sure if this versioning will be fine - I just suppose sddm-kcm will use the same versioning scheme as sddm does.
2. It doesn't list themes but other settings work.
Comment 3 Kevin Kofler 2013-10-22 18:16:15 EDT
According to the guidelines, Version for completely unreleased packages should be 0, not 0.0.0.
Comment 4 Rex Dieter 2013-11-12 16:55:29 EST
License: ok

1. Naming: mostly ok, please do reset to Version: 0 per comment #2

macros: ok

2. scriptlets: mostly ok, there's an extranous

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

which is not needed, please remove.

The reset is clean and simple, APPROVED.

please address items 1,2 prior to doing any official builds.
Comment 5 Martin Bříza 2013-11-14 06:33:29 EST
New Package SCM Request
Package Name: sddm-kcm
Short Description: SDDM KDE configuration module
Owners: mbriza than rdieter kkofler ltinkl jgrulich dvratil
Branches: f18 f19 f20
Comment 6 Gwyn Ciesla 2013-11-14 07:58:12 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-11-14 11:16:31 EST
sddm-kcm-0-0.1.20131114gitafdda33c.fc20 has been submitted as an update for Fedora 20.
Comment 8 Fedora Update System 2013-11-14 14:16:15 EST
sddm-kcm-0-0.1.20131114gitafdda33c.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-11-19 16:45:24 EST
sddm-kcm-0-0.1.20131114gitafdda33c.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.